%{?mingw_package_header}
%global mingw_build_win64 0

Name:		mingw32-libewf
Version:	20120504
Release:	0%{?dist}
Summary:        MinGW compiled libewf for the Win32 target.
License:	GPLv2+
Group:		Applications/System
Source0:	libewf-%version.tar.gz

BuildArch:	noarch

BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-openssl
BuildRequires:	mingw32-win-iconv
BuildRequires:	mingw32-zlib

%description
MinGW compiled libewf for the Win32 target.

%{?mingw_debug_package}

%prep
%setup -q -n libewf-%{version}

%build
%mingw32_configure
%mingw32_make %{?_smp_mflags} lib
%install
rm -rf $RPM_BUILD_ROOT
cd include
%mingw32_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libewf
%mingw32_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}

%files -n mingw32-libewf
%{mingw32_bindir}/libewf-2.dll
%{mingw32_includedir}/libewf.h
%{mingw32_includedir}/libewf/codepage.h
%{mingw32_includedir}/libewf/definitions.h
%{mingw32_includedir}/libewf/error.h
%{mingw32_includedir}/libewf/extern.h
%{mingw32_includedir}/libewf/features.h
%{mingw32_includedir}/libewf/types.h
%{mingw32_libdir}/libewf.a
%{mingw32_libdir}/libewf.dll.a

%changelog

